Closed Bug 954466 Opened 8 years ago Closed 8 years ago

Remove the optional last parameter from addEventListener calls

Categories

(Instantbird :: Other, defect)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: benediktp)

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 1031 at 2011-09-13 23:23:00 UTC ***

The last parameter can be removed in instances where the last parameter of addEventListener is unused (i.e. is false).

See http://lxr.instantbird.org/instantbird/search?string=addEventListener
Attached patch Patch v1 (obsolete) — Splinter Review
*** Original post on bio 1031 as attmnt 894 at 2011-10-14 07:35:00 UTC ***

This patch stupidly removes most of the |false| that LXR can find.

I only included chrome files and didn't touch the mintrayr code since I didn't know if and how you keep it updated.
Attachment #8352637 - Flags: review?(clokep)
*** Original post on bio 1031 at 2011-10-14 09:13:39 UTC ***

I haven't tested the patch by the way.
*** Original post on bio 1031 as attmnt 895 at 2011-10-14 10:07:00 UTC ***

Per discussion on IRC (http://log.bezut.info/instantbird/111014/#m135) changing messagestyle themes and mintrayr code.
Attachment #8352638 - Flags: review?(florian)
Comment on attachment 8352637 [details] [diff] [review]
Patch v1

*** Original change on bio 1031 attmnt 894 at 2011-10-14 10:07:41 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352637 - Attachment is obsolete: true
Attachment #8352637 - Flags: review?(clokep)
Comment on attachment 8352638 [details] [diff] [review]
Patch v2 - changes to messagestyle themes and mintrayr too, now

*** Original change on bio 1031 attmnt 895 at 2011-10-20 20:54:28 UTC ***

I applied this patch, then grepped the source code. The only remaining addEventListener call with false as the last parameter that was still there was in hiddenWindow.xul, I've removed it, and tested that the application still works as usual :-).

Thanks for the nice cleanup!
Attachment #8352638 - Flags: review?(florian) → review+
*** Original post on bio 1031 at 2011-10-20 22:38:08 UTC ***

Checked-in as http://hg.instantbird.org/instantbird/rev/dd0ee8d3a2b6
Assignee: nobody → benediktp
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.